{{ define "main" }}
  {{ $vulnerabilities := .Site.Data.vulnerabilities }}
  {{ $total := 0 }}
  {{ $aging_vulns := dict }}
  {{ range $vulnerabilities.aging }}
    {{ $total = add $total .all_time }}
    {{ $aging_vulns = merge $aging_vulns (dict .severity (.all_time | default 0)) }}
  {{ end }}

  {{ if eq $total 0 }}
    <p>No Vulnerabilities</p>
  {{ else }}
    {{ partial "vulnerabilities/metrics.html" $aging_vulns }}


    <h2>Breakdown</h2>

    {{ partial "vulnerabilities/breakdown.html" $vulnerabilities.breakdown }}

  {{ end }}
{{ end }}
